> For the complete documentation index, see [llms.txt](https://docs.aevo.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aevo.xyz/api-reference/websocket-api/public-operations/subcribe-index.md).

# SUBSCRIBE Index

**REQUEST**

```
<tr>
  <td>
    * \*data\*\* <span class="ws-data-type ws-small-font">array of strings</span>  <span class="ws-required-tag ws-small-font">required</span>
      Channel name in the format `index:ASSET`. Eg. `index:ETH`
  </td>
</tr>
```

<table data-header-hidden><thead><tr><th></th></tr></thead><tbody><tr><td><pre><code>  &#x3C;/th>
&#x3C;/tr>
</code></pre></td></tr><tr><td>* \*op\*\* string required Operation code allowed values: `subscribe` `unsubscribe`</td></tr></tbody></table>

* `ASSET` allowed values: `ETH`

<details>

<summary>Example</summary>

```json
{
  "op":"subscribe", 
  "data": ["index:ETH"]
}
```

</details>

<br>

**RESPONSE**

```
<tr>
  <td>
    <span class="ws-small-font">data.</span>**price** <span class="ws-data-type ws-small-font">string</span> <span class="ws-required-tag ws-small-font">required</span>
    Price in USD. Eg. `12.23`
  </td>
</tr>

<tr>
  <td>
    <span class="ws-small-font">data.</span>**timestamp** <span class="ws-data-type ws-small-font">string</span> <span class="ws-required-tag ws-small-font">required</span>
    Index update timestamp in UNIX timestamp in nanoseconds. Eg. `1680249600000000000`
  </td>
</tr>
```

<table data-header-hidden><thead><tr><th></th></tr></thead><tbody><tr><td><pre><code>  &#x3C;/th>
&#x3C;/tr>
</code></pre></td></tr><tr><td>* \*channel\*\* string required Channel name in the format `index:ASSET`. Eg. `index:ETH`</td></tr></tbody></table>

<details>

<summary>Example</summary>

```json
{
    "channel": "index:ETH",
    "data": {
        "price": "1337.16",
        "timestamp": "1673438070391698947"
    }
}
```

</details>

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aevo.xyz/api-reference/websocket-api/public-operations/subcribe-index.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
